
Redmine - Defect #5609

statuses that can not be reached from any state are still able to be set

2010-05-28 10:01 - Michael Ashley

Status: Closed Start date: 2010-05-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Using Administration->Workflow I have created the following table (simplified to show the problem):

Current Status                New statuses allowed

----------------------------------------------------------------------------------

                      New     In Progress     My new status A     My new status B

New                                                   X                  X

In Progress

My new status A                                                          X

My new status B                                       X

 Note that there is no way to reach "In Progress". Despite this, when you right-click on an issue in status New, it is possible to select

"In Progress" (as well as the two new statuses above). If you select "In Progress" you can't get out of it.

This is with Redmine version 0.9.4 devel, obtained around 25 May 2010.

History

#1 - 2010-05-28 10:14 - Michael Ashley

- Status changed from New to Resolved

Whoops, my mistake. I had only updated the status for Manager, and I guess it was allowing access to "In Progress" since I was also a Reporter.

After copying the Status table to all the relevant types of user, the "bug" went away.

Sorry to bother you, and thank you for an excellent piece of software.

#2 - 2010-05-28 10:25 - Felix Schäfer

- Status changed from Resolved to New

I cannot reproduce on r3731 (the statuses are shown in the context menu but are greyed-out and don't do anything). Do you have any plugins

installed? Can you please check with a fresh checkout if you can reproduce the problem?

#3 - 2010-05-28 10:37 - Michael Ashley

Hi Felix, I don't have any plugins installed. This is a fresh, simple, Redmine installation from the devel git repository, on Ubuntu 10.04. I don't know

what the release number is (how do you find out?), but I downloaded it 3 days ago.

I think that the problem is simply that I didn't edit the status table for all types of users. When I do this properly, the problem goes away (i.e., all

inaccessible statuses are greyed out).

So I think the issue is resolved.

#4 - 2010-05-28 11:04 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Invalid

Sorry about reopening, you must have posted in the time I had the edit window open already :-) Anyway, glad you sorted that out.

(And regarding the version number, it should be in Administration > Information or something like that.)
